# TODO: --enable-mbim-username=???
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	GLib library for talking to WWAN modems and devices using MBIM protocol
Summary(pl.UTF-8):	Biblioteka GLib do komunikacji z modemami i urządzeniami WWAN z użyciem protokołu MBIM
Name:		libmbim
Version:	1.26.0
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	https://www.freedesktop.org/software/libmbim/%{name}-%{version}.tar.xz
# Source0-md5:	552d498d891c93ee9ed2684a8a6a723e
URL:		https://www.freedesktop.org/wiki/Software/libmbim
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.56
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	help2man
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.673
Requires:	glib2 >= 1:2.56
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmbim is a GLib library for talking to WWAN modems and devices which
speak the Mobile Interface Broadband Model (MBIM) protocol.

%description -l pl.UTF-8
libmbim to biblioteka GLib do komunikacji z modemami i urządzeniami
WWAN, obsługującymi protokół MBIM (Mobile Interface Broadband Model).

%package devel
Summary:	Header files for libmbim library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmbim
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.56

%description devel
Header files for libmbim library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmbim.

%package static
Summary:	Static libmbim library
Summary(pl.UTF-8):	Statyczna biblioteka libmbim
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmbim library.

%description static -l pl.UTF-8
Statyczna biblioteka libmbim.

%package apidocs
Summary:	libmbim API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmbim
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
API documentation for libmbim library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmbim.

%package -n bash-completion-libmbim
Summary:	Bash completion for libmbim commands
Summary(pl.UTF-8):	Bashowe dopełnianie składni poleceń libmbim
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-libmbim
Bash completion for libmbim commands (mbimcli).

%description -n bash-completion-libmbim -l pl.UTF-8
Bashowe dopełnianie składni poleceń libmbim (mbimcli).

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/mbim-network
%attr(755,root,root) %{_bindir}/mbimcli
%attr(755,root,root) %{_libexecdir}/mbim-proxy
%attr(755,root,root) %{_libdir}/libmbim-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmbim-glib.so.4
%{_libdir}/girepository-1.0/Mbim-1.0.typelib
%{_mandir}/man1/mbim-network.1*
%{_mandir}/man1/mbimcli.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmbim-glib.so
%{_includedir}/libmbim-glib
%{_datadir}/gir-1.0/Mbim-1.0.gir
%{_pkgconfigdir}/mbim-glib.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmbim-glib.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libmbim-glib
%endif

%files -n bash-completion-libmbim
%defattr(644,root,root,755)
%{bash_compdir}/mbimcli
%changelog
* Wed Aug 18 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmbim.git;a=log;h=master

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> eb089e1
- updated to 1.26.0

* Thu Jun 10 2021 Jakub Bogusz <qboosh@pld-linux.org> d541b17
- updated to 1.24.8

* Sat Mar 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 1c40c42
- updated to 1.24.6

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> eb08db9
- unconditional noarch subpackages

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> ff57161
- updated to 1.24.4

* Mon Jul 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 8b4def4
- updated to 1.24.2

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> b0a8c42
- updated to 1.24.0; now with instrospection

* Mon Feb 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 07f252d
- updated to 1.22.0

* Thu Nov 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 5dff592
- updated to 1.20.2

* Tue Oct 01 2019 Jakub Bogusz <qboosh@pld-linux.org> cf3f7ac
- updated to 1.20.0

* Wed May 08 2019 Jakub Bogusz <qboosh@pld-linux.org> fbd091a
- updated to 1.18.2

* Wed Feb 13 2019 Jakub Bogusz <qboosh@pld-linux.org> fc7cd61
- updated to 1.18.0

* Fri Oct 05 2018 Jakub Bogusz <qboosh@pld-linux.org> f6a551b
- updated to 1.16.2

* Wed Feb 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 41e2e62
- updated to 1.16.0

* Wed Dec 20 2017 Jakub Bogusz <qboosh@pld-linux.org> b2597fe
- updated to 1.14.2

* Wed Aug 24 2016 Jakub Bogusz <qboosh@pld-linux.org> b12ed63
- updated to 1.14.0

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 784e80e
- noarch apidocs

* Sun Apr 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 8996c75
- updated to 1.12.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8f2db65
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 6a06473
- updated to 1.12.2

